| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | List of all members
cv::ximgproc::EdgeAwareInterpolator Class Referenceabstract
Extended Image Processing » Filters

Sparse match interpolation algorithm based on modified locally-weighted affine estimator from [152] and Fast Global Smoother as post-processing filter. More...

`#include "sparse_match_interpolator.hpp"`

Inheritance diagram for cv::ximgproc::EdgeAwareInterpolator:

## Public Member Functions
virtual float | getFGSLambda ()=0
virtual float | getFGSSigma ()=0
virtual int | getK ()=0
virtual float | getLambda ()=0
virtual float | getSigma ()=0
virtual bool | getUsePostProcessing ()=0
virtual void | setFGSLambda (float _lambda)=0
| Sets the respective fastGlobalSmootherFilter() parameter. More...
virtual void | setFGSSigma (float _sigma)=0
virtual void | setK (int _k)=0
| K is a number of nearest-neighbor matches considered, when fitting a locally affine model. Usually it should be around 128. However, lower values would make the interpolation noticeably faster. More...
virtual void | setLambda (float _lambda)=0
| Lambda is a parameter defining the weight of the edge-aware term in geodesic distance, should be in the range of 0 to 1000. More...
virtual void | setSigma (float _sigma)=0
| Sigma is a parameter defining how fast the weights decrease in the locally-weighted affine fitting. Higher values can help preserve fine details, lower values can help to get rid of noise in the output flow. More...
virtual void | setUsePostProcessing (bool _use_post_proc)=0
| Sets whether the fastGlobalSmootherFilter() post-processing is employed. It is turned on by default. More...
Public Member Functions inherited from cv::ximgproc::SparseMatchInterpolator
virtual void | interpolate (InputArray from_image, InputArray from_points, InputArray to_image, InputArray to_points, OutputArray dense_flow)=0
| Interpolate input sparse matches. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Sparse match interpolation algorithm based on modified locally-weighted affine estimator from [152] and Fast Global Smoother as post-processing filter.

## Member Function Documentation

## § getFGSLambda()

virtual float cv::ximgproc::EdgeAwareInterpolator::getFGSLambda | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeAwareInterpolator.getFGSLambda( |  | )

See also
  setFGSLambda

## § getFGSSigma()

virtual float cv::ximgproc::EdgeAwareInterpolator::getFGSSigma | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeAwareInterpolator.getFGSSigma( |  | )

See also
  setFGSLambda

## § getK()

virtual int cv::ximgproc::EdgeAwareInterpolator::getK | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeAwareInterpolator.getK( |  | )

See also
  setK

## § getLambda()

virtual float cv::ximgproc::EdgeAwareInterpolator::getLambda | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeAwareInterpolator.getLambda( |  | )

See also
  setLambda

## § getSigma()

virtual float cv::ximgproc::EdgeAwareInterpolator::getSigma | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeAwareInterpolator.getSigma( |  | )

See also
  setSigma

## § getUsePostProcessing()

virtual bool cv::ximgproc::EdgeAwareInterpolator::getUsePostProcessing | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_EdgeAwareInterpolator.getUsePostProcessing( |  | )

See also
  setUsePostProcessing

## § setFGSLambda()

virtual void cv::ximgproc::EdgeAwareInterpolator::setFGSLambda | ( | float | _lambda | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeAwareInterpolator.setFGSLambda( | _lambda | )

Sets the respective fastGlobalSmootherFilter() parameter.

## § setFGSSigma()

virtual void cv::ximgproc::EdgeAwareInterpolator::setFGSSigma | ( | float | _sigma | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeAwareInterpolator.setFGSSigma( | _sigma | )

See also
  setFGSLambda

## § setK()

virtual void cv::ximgproc::EdgeAwareInterpolator::setK | ( | int | _k | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeAwareInterpolator.setK( | _k | )

K is a number of nearest-neighbor matches considered, when fitting a locally affine model. Usually it should be around 128. However, lower values would make the interpolation noticeably faster.

## § setLambda()

virtual void cv::ximgproc::EdgeAwareInterpolator::setLambda | ( | float | _lambda | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeAwareInterpolator.setLambda( | _lambda | )

Lambda is a parameter defining the weight of the edge-aware term in geodesic distance, should be in the range of 0 to 1000.

## § setSigma()

virtual void cv::ximgproc::EdgeAwareInterpolator::setSigma | ( | float | _sigma | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeAwareInterpolator.setSigma( | _sigma | )

Sigma is a parameter defining how fast the weights decrease in the locally-weighted affine fitting. Higher values can help preserve fine details, lower values can help to get rid of noise in the output flow.

## § setUsePostProcessing()

virtual void cv::ximgproc::EdgeAwareInterpolator::setUsePostProcessing | ( | bool | _use_post_proc | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_EdgeAwareInterpolator.setUsePostProcessing( | _use_post_proc | )

Sets whether the fastGlobalSmootherFilter() post-processing is employed. It is turned on by default.

The documentation for this class was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/ximgproc/include/opencv2/ximgproc/sparse_match_interpolator.hpp